Subject: RE: Login error
From: [email-masked] (Bob McGowan)

20 May 1998 14:39:04 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Some notes on the STATUS_ACCESS_VIOLATION error(s).  Until yesterday, I
had not seen this error message.  I then added the "notitle" setting to
my CYGWIN32, through a 'set' command in the cygwin.bat file.  When I
tried to start bash, the window opened and closed.

So I edited the bat file back, and bash came up ok.  I then reset the
env variable in various ways from the command line and then tried to run
bash.  A transcript of this session is at the end of this note,
following a line of equal signs.  The gist of this is that if the
CYGWIN32 variable had the notitle setting, I got the error from any
cygwin .exe I tried.  If it did not have this setting this error did not
happen.

I also noticed (and it is in the session transcript) that if I used the
'tty' setting, attempts to start bash simply printed the message exit
and then quit.  Other programs worked fine, including interactive ones
like bc.  The behaviour of bash with the tty/notty is strange, to say
the least.  I first set 'notty' to try and get WinNT native apps (ftp,
native code vim) to run (this worked) but the original setting seemed
fine for the cygwin stuff.  Now I'm seeing this, and wondering if this
may be the source of some of other users problems with makefiles?

In any case, I will be using CYGWIN32="notty binmode" until further
notice.  This seems to work well in all the cases I have been working
with.

---
Bob McGowan
i'm:  bob dot mcgowan at artecon dot com

==============================================================
bash-2.01$ export CYGWIN32="notitle notty"
bash-2.01$ bash
(c:\bin\bash.exe 1008) Exception: STATUS_ACCESS_VIOLATION
(c:\bin\bash.exe 1008) Dumping stack trace to bash.exe.core
bash-2.01$ ps
(c:\bin\ps.exe 1009) Exception: STATUS_ACCESS_VIOLATION
(c:\bin\ps.exe 1009) Dumping stack trace to ps.exe.core
bash-2.01$
bash-2.01$
bash-2.01$ ls
(c:\bin\ls.exe 1010) Exception: STATUS_ACCESS_VIOLATION
(c:\bin\ls.exe 1010) Dumping stack trace to ls.exe.core
bash-2.01$ echo $CYGWIN32
notitle notty
bash-2.01$ export CYGWIN32="notitle"
bash-2.01$ bash
(c:\bin\bash.exe 1011) Exception: STATUS_ACCESS_VIOLATION
(c:\bin\bash.exe 1011) Dumping stack trace to bash.exe.core
bash-2.01$ export CYGWIN32="tty binmode"
bash-2.01$ bash
bash-2.01$ exit
bash-2.01$ ps
TTY   PID  PPID  PGID  WIN32-PID  UID    STIME COMMAND
-1   1000  1000  1000        127 1000 10:03:51 c:\bin\bash.exe
-1   1013  1000  1013        155 1000 12:33:15 c:\bin\ps.exe
bash-2.01$ bash
bash-2.01$ exit
bash-2.01$
bash-2.01$
bash-2.01$
bash-2.01$ bash -c ps
bash-2.01$
bash-2.01$
bash-2.01$ !!
bash -c ps
bash-2.01$ export CYGWIN32="notty binmode"
bash-2.01$ bash
bash-2.01$ ps
TTY   PID  PPID  PGID  WIN32-PID  UID    STIME COMMAND
-1   1000  1000  1000        127 1000 10:03:51 c:\bin\bash.exe
-1   1017  1000  1017        254 1000 12:34:03 c:\bin\bash.exe
-1   1018  1017  1018        168 1000 12:34:05 c:\bin\ps.exe
bash-2.01$ ls *core
bash.exe.core  ls.exe.core    ps.exe.core
bash-2.01$
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".